FreeBSD : typo3 -- Multiple vulnerabilities in TYPO3 Core (e6839625-fdfa-11e2-9430-20cf30e32f6d)

Medium Nessus Plugin ID 69219


The remote FreeBSD host is missing one or more security-related updates.


Typo Security Team reports :

It has been discovered that TYPO3 Core is vulnerable to Cross-Site Scripting and Remote Code Execution.

TYPO3 bundles flash files for video and audio playback. Old versions of FlowPlayer and flashmedia are susceptible to Cross-Site Scripting.
No authentication is required to exploit this vulnerability.

The file upload component and the File Abstraction Layer are failing to check for denied file extensions, which allows authenticated editors (even with limited permissions) to upload php files with arbitrary code, which can then be executed in web server's context.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 69219

File Name: freebsd_pkg_e6839625fdfa11e2943020cf30e32f6d.nasl

Version: $Revision: 1.1 $

Type: local

Published: 2013/08/06

Modified: 2013/08/06

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:typo3, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2013/08/05

Vulnerability Publication Date: 2013/07/30

Reference Information

CVE: CVE-2011-3642, CVE-2013-1464